/*
 *	premiere scene pour le projet "Altitude"
 *		nouveau 9 fevrier 2022 - rue Ernest Renan
 */


#version 3.7;

global_settings {
		ambient_light rgb <0.01, 0.01, 0.01>
		assumed_gamma 1.0
		}

#include  "colors.inc"

/* ---------------------------------------------------- */

#include  "macros.inc"
#include  "common.inc"

#declare NormClock = clock/720;

height_field {
        pgm "relief.pgm" 
        smooth    // on
        translate <-0.5, 0, -0.5>
        scale  <19, 1.05, 10>
	texture {
		pigment { color Gray40 }
		finish {  diffuse 0.35 specular 0.38  }
		}
	translate y*0.05
       }

/* ---------------------------------------------------- */

object { Le_Sol }

light_source { <14, 19, -7>    color Orange*Cos_01(NormClock)	}
light_source { <-4, 15, -17>   color Blue*Cos_010(NormClock*4)	}
light_source { <-45, 5, -117>  color Red*Cos_01(1.0-NormClock)	}
light_source { <1, 9,  -17>    color White*Cos_010(NormClock)	}

#declare ECAM = 11.10;
#declare LOCX = ECAM * sin(radians(clock/2.6));
#declare LOCY = 8.7 - NormClock;
#declare LOCZ = ECAM * cos(radians(clock/2.4));

camera	{
	location	<LOCX, LOCY, LOCZ>
	look_at		< 0, -1.5, 0>
	angle		54
	}

/* ---------------------------------------------------- */
